
Foreman - Bug #35462

Tracker # 32684 (Closed): Ruby 3.0 support

Depend on RSS gem for Ruby 3

08/31/2022 10:39 AM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Packaging   

Target version:    

Difficulty:  Fixed in Releases: 3.6.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9328,

https://github.com/theforeman/foreman/p

ull/9440

  

Description

Starting Ruby 3 the rss gem became a bundled gem, meaning it needs to be specified as an explicit dependency (like in the

Gemfile).

Associated revisions

Revision 1f5980de - 11/29/2022 01:57 PM - Ewoud Kohl van Wijngaarden

Fixes #35462 - Depend on the rss gem (#9440)

Ruby 3.0 has moved rss from a default gem to a bundled gem. This means

it must be specified as a dependency.

History

#1 - 09/28/2022 09:50 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman/pull/9328 added

#2 - 09/29/2022 11:47 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/9440 added

#3 - 11/29/2022 01:57 PM - The Foreman Bot

- Fixed in Releases 3.6.0 added

#4 - 11/29/2022 02:01 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|1f5980de589bf25d3a47092dfd37dc3f6072991c.

#5 - 12/14/2022 12:01 PM - Ewoud Kohl van Wijngaarden

- Triaged changed from No to Yes
